Loading...
Searching...
No Matches
Dialling
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling
Collaboration diagram for Dialling:

## Classes

struct | VPB_TONE_MAP
struct | VPB_CALL

## Macros

#define | VPB_CALL_DISCONNECT 0
#define | VPB_CALL_DIALTONE 1
#define | VPB_CALL_RINGBACK 2
#define | VPB_CALL_BUSY 3
#define | VPB_CALL_GRUNT 4
#define | VPB_MAX_TONE_MAP 10
#define | VPB_CALL_CONNECTED 0
#define | VPB_CALL_NO_DIAL_TONE 1
#define | VPB_CALL_NO_RING_BACK 2
#define | VPB_CALL_NO_ANSWER 4
#define | VPB_CALL_DISCONNECTED 5

## Functions

int WINAPI | vpb_dial_sync (int handle, const std::string &dialstr)
| Dials a string of digits on the port for handle.
int WINAPI | vpb_dial_async (int handle, const std::string &dialstr)
| Dials a string of digits on the port for handle.
int WINAPI | vpb_get_call (int handle, VPB_CALL *vpb_call)
int WINAPI | vpb_set_call (int handle, VPB_CALL *vpb_call)
int WINAPI | vpb_call_sync (int handle, char *dialstr)
int WINAPI | vpb_call_async (int handle, char *dialstr)
int WINAPI | vpb_call_async_jp (int handle, char *dialstr)
int WINAPI | vpb_call_sync_jp (int handle, char *dialstr)

## Detailed Description

## Function Documentation

## vpb_dial_async()

int WINAPI vpb_dial_async | ( | int | handle,
|  | const std::string & | dialstr )

Dials a string of digits on the port for handle.

This function will return immediately. A `VPB_DIALEND` event will be sent for handle when dialling has completed on the port. For channel types that support out of band dialling, and are in a suitable state to do so, that mechanism will be used to send the dial string, otherwise `DTMF` tones will be used for signalling.

Parameters

  handle | The handle to the port to dial on.
  dialstr | The string of digits to dial.

Valid digits
  The set of `DTMF` digits is represented by the following characters in a dial string:
  - 0 1 2 3 4 5 6 7 8 9 * # A B C D

  In addition the following characters may also be used in a dial string:
  - `&` - Send a hook flash
  - ``, - (comma) Pause dialling for 1 second

See also
  `vpb_settone()` which permits additional user defined characters to be associated with tones and subsequently included in dialstr.

Returns
  `VPB_OK` if all goes well.

Exceptions

  various | exceptions may be thrown in the event of an error.

## vpb_dial_sync()

int WINAPI vpb_dial_sync | ( | int | handle,
|  | const std::string & | dialstr )

Dials a string of digits on the port for handle.

This function will not return until the full string has been dialled. For channel types that support out of band dialling, and are in a suitable state to do so, that mechanism will be used to send the dial string, otherwise `DTMF` tones will be used for signalling.

Parameters

  handle | The handle to the port to dial on.
  dialstr | The string of digits to dial.

Valid digits
  The set of `DTMF` digits is represented by the following characters in a dial string:
  - 0 1 2 3 4 5 6 7 8 9 * # A B C D

  In addition the following characters may also be used in a dial string:
  - `&` - Send a hook flash
  - ``, - (comma) Pause dialling for 1 second

See also
  `vpb_settone()` which permits additional user defined characters to be associated with tones and subsequently included in dialstr.

Returns
  `VPB_OK` if all goes well.

Exceptions

  various | exceptions may be thrown in the event of an error.